"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.WikiSnippet = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const styles = _reactNative.StyleSheet.create({
  container: {
    backgroundColor: 'rgba(255, 255, 255, 0.23)',
    borderColor: 'rgba(0, 0, 0, 0.05)',
    borderRadius: 6,
    borderWidth: 0.5,
    marginLeft: 12,
    marginRight: 12,
    padding: 12
  },
  image: {
    height: 100,
    width: 150
  }
});

function renderItem({
  item
}) {
  return _react.default.createElement(_reactNative.Image, {
    source: {
      uri: item.image
    },
    style: styles.image
  });
}

function _renderSeparator() {
  return _react.default.createElement(_reactNative.View, {
    style: {
      padding: 2
    }
  });
}

function _keyExtractor({
  url
}) {
  return url;
}

const WikiSnippet = ({
  data
}) => _react.default.createElement(_reactNative.View, {
  style: styles.container
}, _react.default.createElement(_reactNative.FlatList, {
  data: data.links,
  renderItem: renderItem,
  horizontal: true,
  ItemSeparatorComponent: _renderSeparator,
  keyExtractor: _keyExtractor,
  showsHorizontalScrollIndicator: false
}));

exports.WikiSnippet = WikiSnippet;
//# sourceMappingURL=index.js.map